apiVersion: v1
kind: Service
metadata:
  name: prop
  namespace: prop
spec:
  type: ClusterIP
  sessionAffinity: ClientIP
  sessionAffinityConfig:
    clientIP:
      timeoutSeconds: 3600
  selector:
    app: prop
  ports:
    - name: http
      port: 5000
      targetPort: 5000
      protocol: TCP
